/*
 Chapter 05 - Sensing the real world through digital inputs
 Sensing a switch
 By Francis Perea for Packt Publishing
*/

// Global variables we will use
int led = 9;
int button = 7;
int pressed = 0;
int intensity = 0;
int increment = 10;

// Configuration of the board: one output and one input
void setup() {
  pinMode(led, OUTPUT);
  pinMode(button, INPUT);
}

// Sketch execution loop
void loop(){
  // We read the button pin
  pressed = digitalRead(button);
  // if it is pressed lets blink digitally
  if (pressed == LOW) {  
    digitalWrite(led, LOW);
    delay(50);
    digitalWrite(led, HIGH);
    delay(50);
  }
  // if not pressed lets fade analogly
  else { 
    for(intensity=0; intensity<=255; intensity=intensity+increment){ 
      analogWrite(led, intensity);   
      delay(30);                     
    }
    for(intensity=255; intensity>0; intensity=intensity-increment){ 
      analogWrite(led, intensity);   
      delay(30);                     
    } 
  }
}
