/*
 Chapter 06 - Analog Inputs to Feel Between All and Nothing
 Ambient light level
 By Francis Perea for Packt Publishing
*/

// Global variables we will use
// One for each pin we will use and 
// two for the value reading and conversion
int redLED = 13;
int yellowLED = 12;
int greenLED = 11;
int photocell = 0;
int value = 0;
int state = 0;

// Configuration of the board: one output and one input
void setup() {
  pinMode(redLED, OUTPUT);
  pinMode(yellowLED, OUTPUT);
  pinMode(greenLED, OUTPUT);
  pinMode(photocell, INPUT); //optional
}

// Sketch execution loop
void loop(){
  // Read the sensor and convert the value to
  // one of the four states we will have
  value = analogRead(photocell);
  state = map(value,0, 200, 1, 4);
  // acts depending on the obtained states
  switch(state){
      case 1:
        digitalWrite(greenLED,LOW);
        digitalWrite(yellowLED,LOW);
        digitalWrite(redLED,LOW);
        break;
      case 2:
        digitalWrite(greenLED,HIGH);
        digitalWrite(yellowLED,LOW);
        digitalWrite(redLED,LOW);
        break;
      case 3:
        digitalWrite(greenLED,HIGH);
        digitalWrite(yellowLED,HIGH);
        digitalWrite(redLED,LOW);
        break;
      case 4:
        digitalWrite(greenLED,HIGH);
        digitalWrite(yellowLED,HIGH);
        digitalWrite(redLED,HIGH);
        break;
  }
}
