/*
 Chapter 07 - Managing Time Domain
 Timer with delays
 By Francis Perea for Packt Publishing
*/
// Load the notes frequencies definitions
#include "pitches.h"

// Set some global constants
// Total amount of time to wait
#define lapse 3000
// Time to play every note of the chord
#define noteDuration 500

// Global variables we will use
// Speaker pin
int buzzer = 7;
// The number of chrods played
int numberOfSounds = 0;

// Configuration of the board: just one output
void setup() {
  pinMode(buzzer, OUTPUT);
}

// Sketch execution loop
void loop(){
  
   // If less than 3 chords played
   if (numberOfSounds < 3) {
     // Wait for the desired lapse
     delay(lapse);
     // Play every notes and wait 
     tone(buzzer, NOTE_G4, noteDuration);
     delay(noteDuration);
     tone(buzzer, NOTE_A5, noteDuration);
     delay(noteDuration);
     tone(buzzer, NOTE_C5, noteDuration);
     delay(noteDuration);
     tone(buzzer, NOTE_D5, noteDuration);
     delay(noteDuration);
     
    // Incremet the number of played chords   
     numberOfSounds += 1;
   }
}
