/*
 Chapter 08 - Communicating with others
 Serial sensor reading
 By Francis Perea for Packt Publishing
*/

// Photocell pin as a define doesn't consume memory
#define photocell 0

// Global variables we will use
// A variable to store de read value
int value = 0;
// A variable to convert the read value to our output range
int state = 0;

// Configuration of the board: just one output
void setup() {
  pinMode(photocell, INPUT); //optional
  // Init serial communication
  Serial.begin(9600);
}

// Sketch execution loop
void loop(){
  // Read the sensor and convert the value to
  // one of the four states we will have
  value = analogRead(photocell);
  state = map(value,300, 550, 1, 4);
  // Send the read value and converted state throug 
  // the serial communication in a fancy way
  Serial.print(value);
  Serial.print(" : ");
  Serial.println(state);
}
