/*
 Chapter 08 - Communicating with others
 Sending data to Arduino
 By Francis Perea for Packt Publishing
*/

// Global Definitions
// The pin used for the transistor base
#define transistorBase 6
// The increment for the motor speed
#define motorIncrement 10

// Global variables we will use
// A variable to store the received value
int dataReceived;
// and another to set the motor speed
int speed = 0;

// Configuration of the board: three outputs and one input
void setup() {
  pinMode(transistorBase, OUTPUT);
  // Init serial communication
  Serial.begin(9600);
}

// Sketch execution loop
void loop(){
  // check if data has been sent from the computer:
  if (Serial.available()) {
    // read the next char
     dataReceived = Serial.read();
     // Act depending on it
     switch (dataReceived){
       // Increment speed
       case '+':
         if (speed<250) {
           speed += motorIncrement;
         }
         break;
       // Decrement speed
       case '-':
         if (speed>5) {
           speed -= motorIncrement;
         }
         break;         
       // Stop motor
       case '0':
         speed = 0;
         break;     
       // Full throttle    
       case '*':
         speed = 255;
         break;
     }
    // Send back the actual speed
    Serial.println(speed); 
    // Set the speed mo
    analogWrite(transistorBase, speed);
  }
}
