/*
 Chapter 08 - Communicating with others
 Dial thermometer
 By Francis Perea for Packt Publishing
*/


// Global Definitions
// The pin used for the transistor base
#define servoPin 7
// The increment for the motor speed
#define thermistor 0

// Global variables we will use
// A variable to store the read temperature
int temperature;
// and another to store the servo angle
int angle = 0;
// A  servo object
Servo aServo;

// Configuration of the board: three outputs and one input
void setup() {
  // Set the thermistor pin as an output
  pinMode(thermistor,INPUT); // optional
  // Init serial communication
  Serial.begin(9600);
  aServo.attach(7);
}

// Sketch execution loop
void loop(){
  // We read the value of the thermistor
  temperature = analogRead(thermistor); 
  // Map it to a valid angle
  angle = map(temperature, 750, 850, 0, 179);
  // Send both back to the serial monitor
  Serial.print(temperature);
  Serial.print(" : ");
  Serial.println(angle);

  // Position the servomotor acordingly
  aServo.write(angle);

  // Wait some time to avoid the servo to vibrate
  delay(100);
}
