/*
 Chapter 09 - Dealing with interrupt
 A simple tester
 By Francis Perea for Packt Publishing
*/

// A LED will be used to notify the change
#define ledPin 13

// Global variables we will use
// A variable to be used inside ISR
volatile int status = LOW;

// A function to be called when the interrupt occurs
void revolution(){
  // Invert LED status
  status=!status;
}

// Configuration of the board: just one output
void setup() {
  pinMode(ledPin, OUTPUT); 
  // Assign the revolution() function as an ISR of interrupt 0
  // Interrupt will be triggered when the signal goes from 
  // LOW to HIGH
  attachInterrupt(0, revolution, RISING);
}

// Sketch execution loop
void loop(){  
  // Set LED status 
  digitalWrite(ledPin, status);
}

